diff --git a/mapwms.c b/mapwms.c
index fbbedfd89f..109a662937 100644
--- a/mapwms.c
+++ b/mapwms.c
@@ -1366,22 +1366,6 @@ int msWMSLoadGetMapParams(mapObj *map, int nVersion,
     adjust_extent = MS_TRUE;
   }
 
-  /*
-  ** Apply vendor-specific filter if specified
-  */
-  if (filter) {
-    if (sld_url || sld_body) {
-      msSetError(MS_WMSERR,
-                 "Vendor-specific FILTER parameter cannot be used with SLD or SLD_BODY.",
-                 "msWMSLoadGetMapParams()");
-      return msWMSException(map, nVersion, NULL, wms_exception_format);
-    }
-    
-    if (msWMSApplyFilter(map, nVersion, filter, need_axis_swap, wms_exception_format) == MS_FAILURE) {
-      return MS_FAILURE;/* msWMSException(map, nVersion, "InvalidFilterRequest"); */
-    }
-  }
-
   /*
   ** If any select layers have a default time, we will apply the default
   ** time value even if no TIME request was in the url.
@@ -1658,6 +1642,22 @@ this request. Check wms/ows_enable_request settings.",
     }
   }
 
+  /*
+  ** Apply vendor-specific filter if specified
+  */
+  if (filter) {
+    if (sld_url || sld_body) {
+      msSetError(MS_WMSERR,
+                 "Vendor-specific FILTER parameter cannot be used with SLD or SLD_BODY.",
+                 "msWMSLoadGetMapParams()");
+      return msWMSException(map, nVersion, NULL, wms_exception_format);
+    }
+
+    if (msWMSApplyFilter(map, nVersion, filter, need_axis_swap, wms_exception_format) == MS_FAILURE) {
+      return MS_FAILURE;/* msWMSException(map, nVersion, "InvalidFilterRequest"); */
+    }
+  }
+
   if (sld_url || sld_body) {
     int nLayersBefore, nLayerAfter;
     char request_tmp[32];
